#include <print>

void my_func_by_value(int param)
{
    param *= 2;
}

void my_func_by_reference(int& param)
{
    param *= 2;
}

int main()
{
    int a = 5;
    std::println("a is {}", a);

    int& b = a;
    std::println("b is {}", b);

    std::println("Now doing: b += 3");
    b += 3;

    std::println("a is {}", a);
    std::println("b is {}", b);

    std::println("calling my_func_by_value(a)");
    my_func_by_value(a);
    std::println("a is {}", a);
    std::println("calling my_func_by_reference(a)");
    my_func_by_reference(a);
    std::println("a is {}", a);
}